UserName = Account Number, Password = API Key

Don't have an API Key? Find it here or email [email protected]

POST - Orders

The orders API allows orders to be placed and get an immediate confirmation.

Resource URL:

POST     https://api.ssactivewear.com/v2/orders/

Order Object Definition:

shippingAddressObject
customerStringCustomer Name (Default="")
attnStringAttention Line (Default="")
addressStringAddress Line
cityStringCity
stateStringState
zipStringZip (5 digits)
residentialBooleanResidential Address (Default=true)
shippingMethodString Select Shipping Method (Default="1")

Options:
1 = Ground (Carrier determined by S&S)
2 = UPS Next Day Air
3 = UPS 2nd Day Air
16 = UPS 3 Day Select
6 = Will Call / PickUp
8 = Messenger Pickup / PickUp
54 = Misc Cheapest (S&S will pick the most cost-effective ground between (USPS First Class, USPS Priority Mail, UPS Surepost, UPS Ground)
17 = UPS Next Day Air Early AM
21 = UPS Next Day Air Saver
19 = UPS Saturday
20 = UPS Saturday Early
22 = UPS 2nd Day Air AM
14 = FedEx Ground
27 = FedEx Next Day Standard
26 = FedEx Next Day Priority
40 = UPS Ground
48 = FedEx 2nd Day Air

Note: For orders exceeding the weight limit (1000 lbs.), the shipping method will return as Echo Logistics LTL. You will be contacted by S&S shipping staff to schedule details of the shipment.

shipBlindBooleanWhen passed in, this setting will override the current customer settings.
poNumberStringCustomer PO Number (Default="")
emailConfirmationStringInclude a email address if you would like to receive a email confirmation. (Default="")
testOrderBooleanTest Orders will be created and cancelled (Default=false)
autoselectWarehouseBooleanIf this is true, we will choose what warehouse we ship from. Each line may be split between multiple warehouses. The warehouseAbbr in the line detail will be ignored. (Default=false)
promotionCodeStringPromotion Code that applies to products on your order.
autoselectWarehouse_WarehousesStringIf you only want to order from selected warehouses, you can pass in a comma separated list of warehouseAbbr''s to this field. Only warehouses contained in this list will be used. Example: "IL,KS,GA,NV,TX,FL,OH,PA,DS,CC,CN,FO,GD,KC,MA,PH,TD" (Default="")
AutoSelectWarehouse_PreferenceStringEquivalent of the Freight Optimizer selection at checkout. Options: “fewest” or ”fastest” (Default=”fewest”)
AutoSelectWarehouse_Fewest_MaxDITIntegerThe maximum number of days in transit for “fewest”. If days in transit is higher, selection is switched to “fastest”. (Default = 10)
rejectLineErrorsBooleanIf false: we will place an order(s) for all items that we can. The response body will contain both a list of Orders and LineErrors instead of the default Orders. (Default=true)
rejectLineErrors_EmailBooleanFor line items that we can not fill, a email will be sent to the "emailConfirmation" email address with the details. (Default=true)
paymentProfileObject This is used of you would like to pay via a saved credit card or bank account on your www.ssactivewear.com website account.
emailStringEmail of the website user where the card is saved
profileIDintegerProfileID retuned in GET - /V2/paymentprofile api call for the given profile
shipByDateDateShip By Date, format (mm/dd/YYYY)
linesList Of Object
warehouseAbbrStringDetermines what warehouse to ship from.
identifierStringSkuID_Master, Sku, Gtin
qtyIntegerQty to order
*Bold items are required

Extended Description:

The Content-Type header field must be set to application/json or application/xml.

Example Request:

POST                https://api.ssactivewear.com/v2/orders/

POST Data

{
    "shippingAddress": {
        "customer": "Company ABC",
        "attn": "John Doe",
        "address": "123 Main St",
        "city": "Bolingbrook",
        "state": "IL",
        "zip": "60440",
        "residential": true
    },
    "shippingMethod": "1",
    "shipBlind": false,
    "poNumber": "Test",
    "emailConfirmation": "",
    "testOrder": false,
    "autoselectWarehouse": true,
    "lines": [
        {
            "identifier": "B00760003",
            "qty": 2
        }
    ]
}

Response:

Response is the same as a GET Orders response
*If you pass in products from multiple warehouses, you will get multiple order responses.
Note: If you receive a 404 Bad Request response, please validate your json request at: http://jsonformatter.curiousconcept.com/
[
    {
        "guid": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
        "companyName": "S&S Activewear",
        "warehouseAbbr": "IL",
        "orderNumber": "12345678",
        "invoiceNumber": "",
        "poNumber": "12345678",
        "customerNumber": "XXXXX",
        "orderDate": "2021-09-28T14:30:22.05",
        "expectedDeliveryDate": "2021-09-29T00:00:00",
        "orderType": "API",
        "terms": "Net",
        "orderStatus": "In Progress",
        "dropship": false,
        "shippingCarrier": "UPS",
        "shippingMethod": "UPS Ground",
        "shipBlind": false,
        "shippingCollectNumber": "",
        "shippingAddress": {
            "customer": "S&S Activewear",
            "attn": "Recipient",
            "address": "220 Remington Blvd",
            "city": "Bolingbrook",
            "state": "IL",
            "zip": "60440"
        },
        "subtotal": XX.XX,
        "shipping": XX.XX,
        "cod": 0,
        "tax": 0,
        "smallOrderFee": 0,
        "cuponDiscount": 0,
        "sampleDiscount": 0,
        "setUpFee": 0,
        "restockFee": 0,
        "debitCredit": 0,
        "total": XX.XX,
        "totalPieces": 0,
        "totalLines": 0,
        "totalWeight": 15.4,
        "totalBoxes": 1,
        "deliveryStatus": "",
        "conveyorLane": "8",
        "lines": [
            {
                "lineNumber": 1,
                "type": "S",
                "skuID": 1133166,
                "sku": "B22060655",
                "gtin": "00821780010012",
                "yourSku": "",
                "qtyOrdered": 12,
                "price": XX.XX,
                "brandName": "Gildan",
                "styleName": "18500",
                "title": "Heavy Blend™ Hooded Sweatshirt",
                "colorName": "Navy",
                "sizeName": "L",
                "returnable": true
            }
        ]
    }
]